UnicodeDecodeError: 'ascii' codec can't decode byte 0xe2 in position 1333: ordinal not in range(128)

2016-11-11 03:46 AM - Nikolay Lebedev

Status: Closed

Priority: Normal

Assignee:

Category: Processing/Core

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 23757

Description

I've got a UnicodeDecodeError when starting qgis master.

The full error text is below:

Couldn't load plugin 'processing' 

UnicodeDecodeError: 'ascii' codec can't decode byte 0xe2 in position 1333: ordinal not in range(128) 

Traceback (most recent call last):

  File "/usr/share/qgis/python/qgis/utils.py", line 307, in loadPlugin

    __import__(packageName)

  File "/usr/share/qgis/python/qgis/utils.py", line 641, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/usr/share/qgis/python/plugins/processing/__init__.py", line 29, in 

    from processing.tools.general import *              # NOQA

  File "/usr/share/qgis/python/qgis/utils.py", line 641, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/usr/share/qgis/python/plugins/processing/tools/general.py", line 38, in 

    from processing.core.Processing import Processing

  File "/usr/share/qgis/python/qgis/utils.py", line 641, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/usr/share/qgis/python/plugins/processing/core/Processing.py", line 45, in 

    from processing.script.ScriptUtils import ScriptUtils

  File "/usr/share/qgis/python/qgis/utils.py", line 641, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/usr/share/qgis/python/plugins/processing/script/ScriptUtils.py", line 32, in 

    from processing.script.ScriptAlgorithm import ScriptAlgorithm

  File "/usr/share/qgis/python/qgis/utils.py", line 641, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/usr/share/qgis/python/plugins/processing/script/ScriptAlgorithm.py", line 34, in 

    from processing.core.GeoAlgorithm import GeoAlgorithm

  File "/usr/share/qgis/python/qgis/utils.py", line 641, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/usr/share/qgis/python/plugins/processing/core/GeoAlgorithm.py", line 50, in 

    from processing.algs.help import shortHelp

  File "/usr/share/qgis/python/qgis/utils.py", line 641, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/usr/share/qgis/python/plugins/processing/algs/help/__init__.py", line 57, in 

    shortHelp = loadShortHelp()

  File "/usr/share/qgis/python/plugins/processing/algs/help/__init__.py", line 39, in loadShortHelp

    h.update(yaml.load(stream))
  File "/usr/lib/python3.5/site-packages/yaml/__init__.py", line 70, in load

    loader = Loader(stream)

  File "/usr/lib/python3.5/site-packages/yaml/loader.py", line 34, in __init__

    Reader.__init__(self, stream)

  File "/usr/lib/python3.5/site-packages/yaml/reader.py", line 85, in __init__

    self.determine_encoding()

  File "/usr/lib/python3.5/site-packages/yaml/reader.py", line 124, in determine_encoding

    self.update_raw()

  File "/usr/lib/python3.5/site-packages/yaml/reader.py", line 178, in update_raw

    data = self.stream.read(size)

  File "/usr/lib/python3.5/encodings/ascii.py", line 26, in decode

    return codecs.ascii_decode(input, self.errors)[0]

UnicodeDecodeError: 'ascii' codec can't decode byte 0xe2 in position 1333: ordinal not in range(128)

Python version: 3.5.2 (default, Jun 28 2016, 08:46:01) [GCC 6.1.1 20160602] 

QGIS version: 2.99.0-Master Master, 1cd1158 

Python Path:

/usr/share/qgis/python

/home/nextstopsun/.qgis3/python

/home/nextstopsun/.qgis3/python/plugins

/usr/share/qgis/python/plugins

/usr/lib/python35.zip

/usr/lib/python3.5

/usr/lib/python3.5/plat-linux

/usr/lib/python3.5/lib-dynload

/usr/lib/python3.5/site-packages

/home/nextstopsun/.qgis3//python

History

#1 - 2016-12-28 09:58 AM - Alexander Bruy

- Status changed from Open to Feedback

- Category set to Processing/Core

Works fine here. Can you provide more details, e.g. your OS, QGIS revision maybe any other additional information.

#2 - 2017-01-18 08:24 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback.
